import * as React from 'react';
import { BaseChartComponentProps } from '../baseTypes';
import { ArcProps } from './Arc';
export interface ArcSeriesProps<T> extends BaseChartComponentProps {
    dataKey: string;
    innerRadiusPercent?: number;
    outerRadiusPercent?: number;
    cx?: number;
    cy?: number;
    padAngle?: number;
    startAngle?: number;
    /** Default is Math.PI * 2 */
    endAngle?: number;
    children?: (item: T, props: ArcProps, index: number) => React.ReactNode;
}
export declare const ArcSeries: {
    <T extends object>(props: ArcSeriesProps<T>): JSX.Element;
    displayName: string;
    defaultProps: {
        innerRadiusPercent: number;
        outerRadiusPercent: number;
        padAngle: number;
        startAngle: number;
        endAngle: number;
    };
};
export default ArcSeries;
