import * as React from 'react';
import * as d3Shape from 'd3-shape';
import { CircleProps } from 'react-roughjs';
import { BaseChartComponentProps, Curve } from '../baseTypes';
export interface AreaSeriesProps<T extends object> extends BaseChartComponentProps {
    dataKey: keyof T;
    curve?: Curve;
    padding?: number;
    /** For rendering customized vertex */
    children?: (item: T, props: CircleProps, index: number) => React.ReactNode;
}
export declare const AreaSeries: {
    <T extends object>(props: AreaSeriesProps<T>): JSX.Element;
    displayName: string;
    defaultProps: {
        curve: d3Shape.CurveCardinalFactory;
        padding: number;
    };
};
export default AreaSeries;
